Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004959TestLinkTest Specificationpublic2012-04-03 15:272013-11-17 09:53
Reporterskilletaudio 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSFedora OS Version12
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.9 (2013 Q4 - bug fixing) 
Summary0004959: Closing file upload window after uploading file to newly created test case causes page load error for archiveData.php
DescriptionWhen creating a new test case, a user may try to upload a file attachment as soon as the test is created. When they close the file upload dialog, the page in the frame attempts to reload, but instead loads white with error "Not Found. The requested URL /testlink/archiveData.php was not found on this server."


Uploading files to a test case work correctly by selecting an existing test case from the tree, and using 'Upload file' button.

Steps To Reproduce1. Enter test specification area
2. Select a test suite from the tree view
3. Select Test Case Operations - Create
4. Enter title for test case and Save.
5. When test page reloads, select Upload New File from test spec frame
6. Choose file to upload from workstation and enter title
7. Click 'Upload file' and wait for success message
8. Close Upload Attachment dialog window by clicking 'X'
9. Let TC page reload.
10. Error should reproduce
Additional InformationThe error is 'The requested URL /testlink/archiveData.php was not found on this server.' - archiveData is actually at testlink/lib/testcases/archiveData.php.

TagsPROPOSED
Database (MySQL,Postgres,etc)Postgres 8.4
BrowserChrome
PHP Version5.2
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
child of 0005897closedfman Availables hot-fixes for 1.9.8 & How To get full fixed package from gitorious 

-  Notes
(0020014)
wyver.mark.berthelemy (reporter)
2013-11-12 17:04

This bug is also in TestLink 1.9.7
(0020039)
fman (administrator)
2013-11-16 15:47

fixed only for test cases.
More work will be done on future to change GUI to manage attachments on whole application.
(0020040)
fman (administrator)
2013-11-16 15:59

https://gitorious.org/testlink-ga/testlink-code/commit/7b0340aacd73968b96ca944dc6f6ad414482481c [^]
(0020041)
fman (administrator)
2013-11-17 09:53

1.9.9 Released

- Issue History
Date Modified Username Field Change
2012-04-03 15:27 skilletaudio New Issue
2012-04-09 10:22 fman Tag Attached: PROPOSED
2013-11-12 17:04 wyver.mark.berthelemy Note Added: 0020014
2013-11-16 15:47 fman Note Added: 0020039
2013-11-16 15:59 fman QA Team - Task Workflow Status => TBD
2013-11-16 15:59 fman Note Added: 0020040
2013-11-16 15:59 fman Status new => resolved
2013-11-16 15:59 fman Fixed in Version => 1.9.9 (2013 Q4 - bug fixing)
2013-11-16 15:59 fman Resolution open => fixed
2013-11-16 15:59 fman Assigned To => fman
2013-11-16 15:59 fman Relationship added child of 0005897
2013-11-17 09:53 fman Note Added: 0020041
2013-11-17 09:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker